This example shows how to use the sample implementation and test
driver generation feature of the C++/Parser mapping. This example
does not have any hand-written C++ code; everything is generated
by the XSD compiler.

The example consists of the following files:

library.xsd
  XML Schema which describes a library of books.

library.xml
  Sample XML instance document.

library-pskel.hxx
library-pskel.cxx
  Parser skeletons generated by XSD from library.xsd.

library-pimpl.hxx
library-pimpl.cxx
  Sample parser implementations that print the XML data to STDOUT.
  These are generated by XSD from library.xsd with the
  --generate-print-impl option.

library-driver.cxx
  Sample driver for the example. It is generated by XSD from
  library.xsd with the --generate-test-driver option.


To run the example on the sample XML instance document simply
execute:

$ ./library-driver library.xml
